# create mysql container
docker run --name mysql-container -e MYSQL_ROOT_PASSWORD=root -e MYSQL_DATABASE=mydb -p 3307:3306 -v ./mysql_data:/var/lib/mysql -d mysql

# create app container
docker run --name spring-app-container --link mysql-container:mysql -p 8084:8080 \
  -e SPRING_DATASOURCE_URL=jdbc:mysql://mysql:3306/mydb \
  -e SPRING_DATASOURCE_USERNAME=root \
  -e SPRING_DATASOURCE_PASSWORD=root \
  -v ./data:/opt/app/data \
  -d my-spring-demo


docker tag my-spring-demo aqadeer123/docker-demo:my-spring-demo
docker push aqadeer123/docker-demo:my-spring-demo